package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * DhcpReservationOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DhcpReservationOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("description")
  private String description;

  @JsonProperty("netId")
  private String netId;

  @JsonProperty("netName")
  private String netName;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("ip")
  private String ip;

  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("exportToIpMacBinding")
  private Boolean exportToIpMacBinding;

  @JsonProperty("clientName")
  private String clientName;

  public DhcpReservationOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * DHCP reservation ID
   * @return id
  */
  @ApiModelProperty(value = "DHCP reservation ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public DhcpReservationOpenApiVo description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Description of DHCP reservation
   * @return description
  */
  @ApiModelProperty(value = "Description of DHCP reservation")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public DhcpReservationOpenApiVo netId(String netId) {
    this.netId = netId;
    return this;
  }

  /**
   * ID of the configured LAN Network
   * @return netId
  */
  @ApiModelProperty(value = "ID of the configured LAN Network")


  public String getNetId() {
    return netId;
  }

  public void setNetId(String netId) {
    this.netId = netId;
  }

  public DhcpReservationOpenApiVo netName(String netName) {
    this.netName = netName;
    return this;
  }

  /**
   * Name of the configured LAN Network
   * @return netName
  */
  @ApiModelProperty(value = "Name of the configured LAN Network")


  public String getNetName() {
    return netName;
  }

  public void setNetName(String netName) {
    this.netName = netName;
  }

  public DhcpReservationOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC address
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC address")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DhcpReservationOpenApiVo ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Reserved IP address
   * @return ip
  */
  @ApiModelProperty(value = "Reserved IP address")

@Pattern(regexp="\\b((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\b") 
  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public DhcpReservationOpenApiVo status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * DHCP reservation enable status
   * @return status
  */
  @ApiModelProperty(value = "DHCP reservation enable status")


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public DhcpReservationOpenApiVo exportToIpMacBinding(Boolean exportToIpMacBinding) {
    this.exportToIpMacBinding = exportToIpMacBinding;
    return this;
  }

  /**
   * Indicates whether DHCP reservation can be exported to the IP-MAC Binding list
   * @return exportToIpMacBinding
  */
  @ApiModelProperty(value = "Indicates whether DHCP reservation can be exported to the IP-MAC Binding list")


  public Boolean getExportToIpMacBinding() {
    return exportToIpMacBinding;
  }

  public void setExportToIpMacBinding(Boolean exportToIpMacBinding) {
    this.exportToIpMacBinding = exportToIpMacBinding;
  }

  public DhcpReservationOpenApiVo clientName(String clientName) {
    this.clientName = clientName;
    return this;
  }

  /**
   * Client name
   * @return clientName
  */
  @ApiModelProperty(value = "Client name")


  public String getClientName() {
    return clientName;
  }

  public void setClientName(String clientName) {
    this.clientName = clientName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DhcpReservationOpenApiVo dhcpReservationOpenApiVo = (DhcpReservationOpenApiVo) o;
    return Objects.equals(this.id, dhcpReservationOpenApiVo.id) &&
        Objects.equals(this.description, dhcpReservationOpenApiVo.description) &&
        Objects.equals(this.netId, dhcpReservationOpenApiVo.netId) &&
        Objects.equals(this.netName, dhcpReservationOpenApiVo.netName) &&
        Objects.equals(this.mac, dhcpReservationOpenApiVo.mac) &&
        Objects.equals(this.ip, dhcpReservationOpenApiVo.ip) &&
        Objects.equals(this.status, dhcpReservationOpenApiVo.status) &&
        Objects.equals(this.exportToIpMacBinding, dhcpReservationOpenApiVo.exportToIpMacBinding) &&
        Objects.equals(this.clientName, dhcpReservationOpenApiVo.clientName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, description, netId, netName, mac, ip, status, exportToIpMacBinding, clientName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DhcpReservationOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    netId: ").append(toIndentedString(netId)).append("\n");
    sb.append("    netName: ").append(toIndentedString(netName)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    exportToIpMacBinding: ").append(toIndentedString(exportToIpMacBinding)).append("\n");
    sb.append("    clientName: ").append(toIndentedString(clientName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

